<?php

namespace App\Http\Controllers;

use App\Http\Resources\ReadNotificationResource;
use App\Models\Company;
use App\Models\User;
use App\Notifications\InvoiceNotification;
use App\Notifications\NotificationData;
use App\Traits\ApiResponser;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Notification;
use Illuminate\Support\Str;

class NotificationController extends Controller
{
use ApiResponser,NotificationData;
    public function getMessagesNotification($clientRole)
    {
//        return 1;

            $client=auth($clientRole)->user();
//        return $client;
//        Notification::send(User::all(), new InvoiceNotification($this->notificationData($client,'title','text')));
//
        // $client->notify(New InvoiceNotification($this->notificationData($client,'text','title')));
        $clientId = auth($clientRole)->user()->id;
        $clientType = 'App\\Models\\' . Str::ucfirst($clientRole);
        $data = array();
//        return Auth::user();
        if ($client)
        if ($client->Notifications)
            foreach ($client->Notifications as $notification) {
//                return $notification;
//                $client->notifications()->delete();
                $data[] = [
                    'id' => $notification->id??null,
                    'text' => $notification->data['text']??null,
                    'title' => $notification->data['title']??null,
                    'date' => ($notification->created_at)->format('d M - H:i')??null,
                    'read_at'=>($notification->read_at)??null,
                ];
            }
        return ($data) ?$this->onSuccess($data):$this->onSuccess([]);
    }
    public function readNotify($clientRole,$id){

      auth($clientRole)->user()->unreadNotifications->where('id', $id)->markAsRead();
        $notify =auth($clientRole)->user()->Notifications->where('id', $id)->first();
        return ($notify)?$this->onSuccess( ReadNotificationResource::make($notify)):$this->onFaile('notification not found');
    }
}
