<?php

namespace App\Http\Requests\Admin\Structure;

use Illuminate\Foundation\Http\FormRequest;

class FAQRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'question' => ['required', 'min:2', 'max:5000'],
            'answer' => ['required', 'min:2', 'max:5000']
        ];
    }
}
