<?php

namespace App\Http\Resources\Admin;

use App\Models\User;
use Illuminate\Http\Resources\Json\JsonResource;

class GroupMembersResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        return [
            'id'=>$this->member->id,
             'creator_name'=>$this->member_type == User::class ?
                $this->member->name." ".$this->member->last_name :
                $this->member->name
            ,
            'email'=>$this->member->id,
            'image'=>$this->member->image,
        ];
    }
}
