<?php

namespace App\Http\Resources\Map;

use Illuminate\Http\Resources\Json\JsonResource;

class ShowMapResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
//        return parent::toArray($request);
        return ['id'=>$this->id,'condition'=>$this->condition,'name'=>$this->name,'address'=>['longitude'=>$this->address->longitude??null,'latitude'=>$this->address->latitude??null]];
    }
}
