<?php

/*
|--------------------------------------------------------------------------
| Broadcast Channels
|--------------------------------------------------------------------------
|
| Here you may register all of the event broadcasting channels that your
| application supports. The given channel authorization callbacks are
| used to check if an authenticated user can listen to the channel.
|
*/
use Illuminate\Support\Facades\Broadcast;
use Mojtaba\Chatable\Models\Chat;
use Mojtaba\Chatable\Models\Group;

//Broadcast::channel('App.Models.User.{id}', function ($user, $id) {
//    return (int) $user->id === (int) $id;
//});



Broadcast::channel('chat.{chat}', function ($model, Chat $chat) {

    $id = $model instanceof User ? $chat->user_id : $chat->seller_id;

    return (int)$model->id === (int)$id;
});
//
//Broadcast::channel('chat.{chat}', function ($client, $chat){
//   $idClient = 0;
//   if($client instanceof User ){
//       $clientId = $client->id;
//       $clientType = User::class;
//   }
//   elseif ($client instanceof Company){
//       $clientId = $client->id;
//       $clientType = Company::class;
//   }
//
//   $firstValue = Chat::where('id', $chat)->where('sender_id', $clientId)->where('sender_type', $clientType)->first();
//   $secondValue = Chat::where('id', $chat)->where('receiver_id', $clientId)->where('receiver_type', $clientType)->first();
//    return $firstValue || $secondValue;
//});

Broadcast::channel('group.{group}', function ($model, Group $group) {

//    if ($model instanceof Admin) {
        return true;
//    }

//    $id = $model instanceof User ? $chat->user_id : $chat->seller_id;
//
//    return (int)$model->id === (int)$id;
});
