<?php

namespace App\Http\Requests\Admin\MangeAdmin;

use Illuminate\Foundation\Http\FormRequest;

class UpdateAdminRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name'=>'min:3',
            'email'=>'email',
            'password'=>'min:8',
            'role_id'=>'numeric|exists:roles,id'

        ];
    }

}
