<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddTypeAndAdressToMyChatableGroups extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('chatable_groups', function (Blueprint $table) {
            $table->after('data', function ($table) {
                $table->string('type')->nullable();
                $table->string('address')->nullable();
            });
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('my_chatable_groups', function (Blueprint $table) {
            //
        });
    }
}
